Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class PresentationMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<java.lang.Object,java.lang.Object>
                  OOXMLconvert.PresentationMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class PresentationMap

extends java.util.LinkedHashMap<java.lang.Object,java.lang.Object>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`private java.lang.Object` | `presentationKey` prezentačný Key

Constructor Summary
`PresentationMap()` Konštruktor
`PresentationMap(java.lang.Object presentationKey)` Konštruktor, ktorý nastaví prezentačný kľúč

Method Summary
`void` | `setPresentationKey(java.lang.Object presentationKey)` Funkcia nastaví prezentačný kľúč
`java.lang.String` | `toString()`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get, removeEldestEntry`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### presentationKey

    private java.lang.Object presentationKey

  prezentačný Key

Constructor Detail

### PresentationMap

    public PresentationMap()

  Konštruktor

### PresentationMap

    public PresentationMap(java.lang.Object presentationKey)

  Konštruktor, ktorý nastaví prezentačný kľúč

  Parameters:
    `presentationKey` - prezentačný kľúč

Method Detail

### setPresentationKey

    public void setPresentationKey(java.lang.Object presentationKey)

  Funkcia nastaví prezentačný kľúč

  Parameters:
    `presentationKey` - prezentačný kľúč

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractMap<java.lang.Object,java.lang.Object>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD